<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.dto (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.dto (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/device/webcam/impl/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../io/mosip/registration/dto/biometric/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dto/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.mosip.registration.dto</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/ApplicantValidDocumentDto.html" title="class in io.mosip.registration.dto">ApplicantValidDocumentDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/AuditDTO.html" title="class in io.mosip.registration.dto">AuditDTO</a></td>
<td class="colLast">
<div class="block">This class is to capture the time duration for each event</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/AuthenticationValidatorDTO.html" title="class in io.mosip.registration.dto">AuthenticationValidatorDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/AuthNClientIDDTO.html" title="class in io.mosip.registration.dto">AuthNClientIDDTO</a></td>
<td class="colLast">
<div class="block">The DTO class required to send the OTP</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/AuthNDTO.html" title="class in io.mosip.registration.dto">AuthNDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/AuthNRequestDTO.html" title="class in io.mosip.registration.dto">AuthNRequestDTO</a></td>
<td class="colLast">
<div class="block">The DTO class for requesting Authentication Token</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/AuthNSendOTPDTO.html" title="class in io.mosip.registration.dto">AuthNSendOTPDTO</a></td>
<td class="colLast">
<div class="block">The DTO class required to send the OTP</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/AuthNUserOTPDTO.html" title="class in io.mosip.registration.dto">AuthNUserOTPDTO</a></td>
<td class="colLast">
<div class="block">The DTO class required for the Authentication Token Web-Service</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/AuthNUserPasswordDTO.html" title="class in io.mosip.registration.dto">AuthNUserPasswordDTO</a></td>
<td class="colLast">
<div class="block">The DTO class required for the Authentication Token Web-Service</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/AuthorizationDTO.html" title="class in io.mosip.registration.dto">AuthorizationDTO</a></td>
<td class="colLast">
<div class="block">This class contains the Registration screen Authorization details.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/AuthTokenDTO.html" title="class in io.mosip.registration.dto">AuthTokenDTO</a></td>
<td class="colLast">
<div class="block">The Class AuthTokenDTO is to store the token response upon invoking the rest
 API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">BaseDTO</a></td>
<td class="colLast">
<div class="block">The base DTO class that would be extended by all DTOs in Registration Module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/DeviceDTO.html" title="class in io.mosip.registration.dto">DeviceDTO</a></td>
<td class="colLast">
<div class="block">The DTO class for Device.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/ErrorResponseDTO.html" title="class in io.mosip.registration.dto">ErrorResponseDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/ExceptionListDTO.html" title="class in io.mosip.registration.dto">ExceptionListDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/IndividualTypeDto.html" title="class in io.mosip.registration.dto">IndividualTypeDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/LoginUserDTO.html" title="class in io.mosip.registration.dto">LoginUserDTO</a></td>
<td class="colLast">
<div class="block">DTO class for login info</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/MainResponseDTO.html" title="class in io.mosip.registration.dto">MainResponseDTO</a>&lt;T&gt;</td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/NotificationDTO.html" title="class in io.mosip.registration.dto">NotificationDTO</a></td>
<td class="colLast">
<div class="block">dto class for email and sms notification</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/OSIDataDTO.html" title="class in io.mosip.registration.dto">OSIDataDTO</a></td>
<td class="colLast">
<div class="block">This class contains the Registration Operator Specific Information</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/OtpGeneratorRequestDTO.html" title="class in io.mosip.registration.dto">OtpGeneratorRequestDTO</a></td>
<td class="colLast">
<div class="block">This class holds the otp related key</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/OtpGeneratorResponseDTO.html" title="class in io.mosip.registration.dto">OtpGeneratorResponseDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/OtpValidatorResponseDTO.html" title="class in io.mosip.registration.dto">OtpValidatorResponseDTO</a></td>
<td class="colLast">
<div class="block">The DTO class for OTP Validation response.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PacketStatusReaderDTO.html" title="class in io.mosip.registration.dto">PacketStatusReaderDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PacketUploadDTO.html" title="class in io.mosip.registration.dto">PacketUploadDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PolicyDTO.html" title="class in io.mosip.registration.dto">PolicyDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PreRegArchiveDTO.html" title="class in io.mosip.registration.dto">PreRegArchiveDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PreRegistrationDataSyncDTO.html" title="class in io.mosip.registration.dto">PreRegistrationDataSyncDTO</a></td>
<td class="colLast">
<div class="block">PreRegistration DataSync DTO</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PreRegistrationDataSyncRequestDTO.html" title="class in io.mosip.registration.dto">PreRegistrationDataSyncRequestDTO</a></td>
<td class="colLast">
<div class="block">PreRegistrationDataSync RequestDTO</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PreRegistrationDTO.html" title="class in io.mosip.registration.dto">PreRegistrationDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PreRegistrationExceptionJSONInfoDTO.html" title="class in io.mosip.registration.dto">PreRegistrationExceptionJSONInfoDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PreRegistrationIdsDTO.html" title="class in io.mosip.registration.dto">PreRegistrationIdsDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PreRegistrationResponseDataSyncDTO.html" title="class in io.mosip.registration.dto">PreRegistrationResponseDataSyncDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PreRegistrationResponseDTO.html" title="class in io.mosip.registration.dto">PreRegistrationResponseDTO</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">Pre Registration Response DTO</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/PublicKeyResponse.html" title="class in io.mosip.registration.dto">PublicKeyResponse</a>&lt;T&gt;</td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/RegCenterMachineUserReqDto.html" title="class in io.mosip.registration.dto">RegCenterMachineUserReqDto</a>&lt;T&gt;</td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/RegistrationApprovalDTO.html" title="class in io.mosip.registration.dto">RegistrationApprovalDTO</a></td>
<td class="colLast">
<div class="block">The Class RegistrationApprovalDTO.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/RegistrationCenterDetailDTO.html" title="class in io.mosip.registration.dto">RegistrationCenterDetailDTO</a></td>
<td class="colLast">
<div class="block">This class contains the Registration Center details.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/RegistrationCenterUserMachineMappingDto.html" title="class in io.mosip.registration.dto">RegistrationCenterUserMachineMappingDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a></td>
<td class="colLast">
<div class="block">This class contains the Registration details.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/RegistrationIdDTO.html" title="class in io.mosip.registration.dto">RegistrationIdDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html" title="class in io.mosip.registration.dto">RegistrationMetaDataDTO</a></td>
<td class="colLast">
<div class="block">This class contains the meta-information of the Registration</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/RegistrationPacketSyncDTO.html" title="class in io.mosip.registration.dto">RegistrationPacketSyncDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/RegPacketStatusDTO.html" title="class in io.mosip.registration.dto">RegPacketStatusDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/SelectionListDTO.html" title="class in io.mosip.registration.dto">SelectionListDTO</a></td>
<td class="colLast">
<div class="block">The Class SelectionListDTO will contain all the updatable fields for update UIN.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/SuccessResponseDTO.html" title="class in io.mosip.registration.dto">SuccessResponseDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/SyncDataProcessDTO.html" title="class in io.mosip.registration.dto">SyncDataProcessDTO</a></td>
<td class="colLast">
<div class="block">Sync Data Process DTO</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/SyncRegistrationDTO.html" title="class in io.mosip.registration.dto">SyncRegistrationDTO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/UserDetailDto.html" title="class in io.mosip.registration.dto">UserDetailDto</a></td>
<td class="colLast">
<div class="block">Service class for user detail dto</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/UserDetailResponseDto.html" title="class in io.mosip.registration.dto">UserDetailResponseDto</a></td>
<td class="colLast">
<div class="block">Service class for user detail response dto</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dto/UserMachineMappingDTO.html" title="class in io.mosip.registration.dto">UserMachineMappingDTO</a></td>
<td class="colLast">
<div class="block">User machine mapping DTO.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/device/webcam/impl/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../io/mosip/registration/dto/biometric/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dto/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
